Loading...
Searching...
No Matches
RDKit::GaResult Struct Reference

`#include <RGroupGa.h>`

## Public Member Functions

| GaResult (const double score, const vector< vector< size_t > > &permutations)
| GaResult (const GaResult &other)
| GaResult ()
GaResult & | operator= (const GaResult &other)

## Public Attributes

RGroupScorer | rGroupScorer

## Detailed Description

Definition at line 90 of file RGroupGa.h.

## Constructor & Destructor Documentation

## GaResult() [1/3]

RDKit::GaResult::GaResult | ( | const double | score,
|  | const vector< vector< size_t > > & | permutations
| ) |  |

inline

Definition at line 93 of file RGroupGa.h.

## GaResult() [2/3]

RDKit::GaResult::GaResult | ( | const GaResult & | other | ) |

inline

Definition at line 95 of file RGroupGa.h.

## GaResult() [3/3]

RDKit::GaResult::GaResult | ( |  | ) |

inline

Definition at line 97 of file RGroupGa.h.

## Member Function Documentation

## operator=()

GaResult & RDKit::GaResult::operator= | ( | const GaResult & | other | ) |

## Member Data Documentation

## rGroupScorer

RGroupScorer RDKit::GaResult::rGroupScorer

Definition at line 91 of file RGroupGa.h.

The documentation for this struct was generated from the following file:

- RGroupGa.h